Update a publish target
PATCH
/v1/extensions/{id}/targets/{targetId}
const url = 'https://api.extport.dev/api/v1/extensions/example/targets/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"storeItemId":"example","crxId":"example","credentialId":"example","enabled":true,"platforms":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.extport.dev/api/v1/extensions/example/targets/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "storeItemId": "example", "crxId": "example", "credentialId": "example", "enabled": true, "platforms": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
targetId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
storeItemId
string
crxId
string
credentialId
string
enabled
boolean
platforms
Any of:
Array<string>
null
Examplegenerated
{ "storeItemId": "example", "crxId": "example", "credentialId": "example", "enabled": true, "platforms": [ "example" ]}Responses
Section titled “Responses”OK
Nothing to update
Not found